## org.apache.tools.ant.util
Class KeepAliveOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.apache.tools.ant.util.KeepAliveOutputStream

public class KeepAliveOutputStream
extends java.io.FilterOutputStream

Class that can be used to wrap `System.out` and `System.err` without getting anxious about any client closing the stream.

In code-language it means that it is not necessary to do:

     if (out != System.out && out!= System.err){
       out.close();
     }

Author:
  Stephane Bailliez

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`KeepAliveOutputStream(java.io.OutputStream out)`

Method Summary
`void` `close()` this method does nothing

Methods inherited from class java.io.FilterOutputStream
`flush, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeepAliveOutputStream

    public KeepAliveOutputStream(java.io.OutputStream out)

Method Detail

### close

    public void close()
               throws java.io.IOException

  this method does nothing

  Throws:
    `java.io.IOException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.